package com.bonus.core.menu.vo;

import com.bonus.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalTime;
import java.util.List;
import java.util.Optional;

@ApiModel("档口菜谱")
public class AppletReserveStallVO {
   @ApiModelProperty("档口id")
   private Long stallId;
   @ApiModelProperty("档口名称")
   private String stallName;
   @ApiModelProperty("档口营业状态")
   private Integer stallState;
   @ApiModelProperty("档口图片")
   private String stallImgUrl;
   @ApiModelProperty("营业开始时间")
   private LocalTime stallStartTime;
   @ApiModelProperty("营业结束时间")
   private LocalTime stallEndTime;
   @ApiModelProperty("菜谱id")
   private Long recipeId;
   @ApiModelProperty("月销量")
   private Integer monthlySales;
   @ApiModelProperty("营业开始时间")
   private LocalTime startBusinessTime;
   @ApiModelProperty("营业结束时间")
   private LocalTime endBusinessTime;
   @ApiModelProperty("食堂营业状态")
   private Integer businessState;
   @ApiModelProperty("推荐菜品")
   private List<AppletRecommendDishesVO> recommendList;

   public String getStallImgUrl() {
      return SysUtil.getCutFileUrl(this.stallImgUrl);
   }

   public Integer getMonthlySales() {
      return (Integer)Optional.ofNullable(this.monthlySales).orElse(0);
   }

   public Long getStallId() {
      return this.stallId;
   }

   public String getStallName() {
      return this.stallName;
   }

   public Integer getStallState() {
      return this.stallState;
   }

   public LocalTime getStallStartTime() {
      return this.stallStartTime;
   }

   public LocalTime getStallEndTime() {
      return this.stallEndTime;
   }

   public Long getRecipeId() {
      return this.recipeId;
   }

   public LocalTime getStartBusinessTime() {
      return this.startBusinessTime;
   }

   public LocalTime getEndBusinessTime() {
      return this.endBusinessTime;
   }

   public Integer getBusinessState() {
      return this.businessState;
   }

   public List<AppletRecommendDishesVO> getRecommendList() {
      return this.recommendList;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setStallName(final String stallName) {
      this.stallName = stallName;
   }

   public void setStallState(final Integer stallState) {
      this.stallState = stallState;
   }

   public void setStallImgUrl(final String stallImgUrl) {
      this.stallImgUrl = stallImgUrl;
   }

   public void setStallStartTime(final LocalTime stallStartTime) {
      this.stallStartTime = stallStartTime;
   }

   public void setStallEndTime(final LocalTime stallEndTime) {
      this.stallEndTime = stallEndTime;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setMonthlySales(final Integer monthlySales) {
      this.monthlySales = monthlySales;
   }

   public void setStartBusinessTime(final LocalTime startBusinessTime) {
      this.startBusinessTime = startBusinessTime;
   }

   public void setEndBusinessTime(final LocalTime endBusinessTime) {
      this.endBusinessTime = endBusinessTime;
   }

   public void setBusinessState(final Integer businessState) {
      this.businessState = businessState;
   }

   public void setRecommendList(final List<AppletRecommendDishesVO> recommendList) {
      this.recommendList = recommendList;
   }
}
